Subject: Re: [bug#49101] [PATCH v2 2/5] gnu: ocaml4.07-expect: Switch to default OCaml compiler.

From: Xinglu Chen <[email-masked]>
Date: Sat, 19 Jun 2021 15:57:19 +0200

On Sat, Jun 19 2021, Julien Lepiller wrote:

> This patch looks good, but I think it needs to be merged with the
> previous one, because after the first patch and before this one,
> ocaml4.07-pcre doesn't exist. Remember that we want to make sure we can
> build guix at every point in time.

Do you mean that I, if possible, should do bump the version of
‘ocaml4.07-pcre’ in one commit, and then switch ‘ocaml4.07-pcre’ and
‘ocaml4.07-expect’ to using the default compiler in the next commit,
like this?

  gnu: ocaml4.07-pcre: Update to 7.46.
  gnu: ocaml4.07-{pcre,expect}: Switch to default OCaml compiler.
  ...
  
> The rest of the series is good. I'm looking forward to v3 :)

Cool, thanks for the review!